#!/bin/bash
-# ---------------------------------------------------------------------------
-# Build wxWidgets and wxPython on a OSX box. This is normally
-# called from build-all but it should be able to be used standalone too...
-#
-# The command line must have the following parameters:
-#
-# 1. the path to the base of the wx source tree
-# 2. the path of where to put the resulting installers
-# 3. skipclean flag (yes|no)
-# 4. the VERSION
-# 5. the KIND (panther or jaguar)
-# *. the remaining args are the versions of Python to build for
-#
-# ---------------------------------------------------------------------------
+#----------------------------------------------------------------------
set -o errexit
-#set -o xtrace
-echo "-=-=-=- Hello from $HOSTNAME -=-=-=-"
-
-if [ $# -lt 6 ]; then
- echo "Usage: $0 WXDIR DESTDIR SKIPCLEAN VERSION KIND PYVER..."
- exit 1
-fi
-
-WXDIR=$1
-DESTDIR=$2
-SKIPCLEAN=$3
-VERSION=$4
-KIND=$5
-shift;shift;shift;shift;shift
-PYVER=$@
-
-
-#export PATH=/sw/bin:/usr/local/bin:$PATH
-export PATH=/sw/bin:/sw/sbin:/bin:/sbin:/usr/bin:/usr/sbin:.:/usr/local/bin:/usr/X11R6/bin
-echo "PATH =" $PATH
-echo "which gcc = " `which gcc`
-#exit 0
-
-# untar the source
-echo "Unarchiving wxPython-src-$VERSION.tar.gz"
-cd $DESTDIR
-tar xzf wxPython-src-$VERSION.tar.gz
-rm wxPython-src-$VERSION.tar.gz
-
-
-echo "Invoking wxPythonOSX build script..."
-cd $WXDIR/wxPython
-export TARBALLDIR=$DESTDIR
-mkdir -p dist
-distrib/mac/wxPythonOSX/build $KIND inplace skipclean
-
-
-echo "Copying installers to $DESTDIR..."
-cp dist/*.dmg $DESTDIR
-cd $DESTDIR
-
-
-if [ $SKIPCLEAN != yes ]; then
- echo "Cleaning up..."
- rm -r $WXDIR || true
- rm wxPython-docs-$VERSION.tar.gz
- rm wxPython-demo-$VERSION.tar.gz
+# read the config variables from the file given on the command line
+. $1
+
+
+host=$2
+flavor=$3
+pyver=$4
+
+if [ $skiposx != yes ]; then
+ # test if the target machine is online
+ if ping -q -c1 -w1 $host > /dev/null; then
+ echo " The $host machine is online, OSX-$flavor build continuing..."
+ else
+ echo "The $host machine is **OFFLINE**, skipping the OSX-$flavor build."
+ exit 0
+ fi
+
+ echo "Copying source files and build script..."
+ ssh root@$host "mkdir -p $OSX_BUILD && rm -rf $OSX_BUILD/* || true"
+
+ scp $STAGING_DIR/wxPython-src-$VERSION.tar.gz \
+ $STAGING_DIR/wxPython-docs-$VERSION.tar.gz \
+ $STAGING_DIR/wxPython-demo-$VERSION.tar.gz \
+ distrib/all/do-build-osx \
+ root@$host:$OSX_BUILD
+
+ echo "Running build script on $host..."
+ wxdir=$OSX_BUILD/wxPython-src-$VERSION
+ cmd=./do-build-osx
+ ssh root@$host "cd $OSX_BUILD && $cmd $wxdir $OSX_BUILD $skipclean $VERSION $flavor $pyver && rm $cmd"
+
+ echo "Fetching the results..."
+ scp "root@$host:$OSX_BUILD/wxPython*-osx*" $STAGING_DIR
+ ssh root@$host "rm $OSX_BUILD/wxPython*-osx*"
fi
-echo "-=-=-=- Goodbye! -=-=-=-"